<?php
if(!defined('GAME'))
{
	die();
}
if (isset($_GET['getq']))
{
//--------------
$test = mysql_fetch_array(mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest" LIMIT 1'));
if (!isset($test['id']))
{
	$zadID=rand(1,7);
	if ($u->info['level']==8 && $zadID==6){$zadID=2;}
	if ($u->info['level']>11 && $zadID==4){$zadID=2;}
	if ($u->info['level']>11 && $zadID==1){$zadID=2;}
}
else
{
	$zadID=0;
}

if ($zadID==1)
{
	
	$txt .= '<b><font color=black>Говорят в Capital City завелись всякие Трупожоры. Пойди да убей их дважды, порадуй бабушку</b></font>';
	
}elseif($zadID==2)
{
	$txt .= '<b><font color=black>Покажи на что способен! Поучаствуй в 10 хаотических поединках!</b></font>';
	
}elseif($zadID==3)
{
	$txt .= '<b><font color=black>Необходимо исследовать для бабушки два любых подземелия, ей очень интересно что там внутри! Только гляди милок, пропуски не используй!</b></font>';

}elseif($zadID==4)
{
	$txt .= '<b><font color=black>Сразись в хаотических поединках и получи 100 000 опыта!</b></font>';

}elseif($zadID==5)
{
	$txt .= '<b><font color=black>Открой сундук Трупожора, порадуй бабушку!</b></font>';
	
}elseif($zadID==6)
{
	$txt .= '<b><font color=black>Посети Излом Хаоса!</b></font>';
	
}elseif($zadID==7)
{
	$txt .= '<b><font color=black>Выполни 3 любых задания в подземелиях!Бабушка будет очень довольна!</b></font>';
	
}elseif($zadID==8)
{
	$txt .= '<b><font color=black>Сходи ка милок в Башню Смерти! Да попробуй как там свои силенки.</b></font>';
}
else
{
	$txt .= '<b><font color=red>Эх шустрый малец, получал задание уже сегодня! Завтра приходи, накормлю чем нибудь вкусным ну и задание дам!</b></font>';

}

if ($zadID>0)
{
	mysql_query('INSERT INTO `actions`(`uid`, `time`, `city`, `room`, `vars`, `ip`, `vals`, `val`) VALUES ("'.$u->info['id'].'","'.time().'","capitalcity","421","day_quest"," ","'.$zadID.'","'.$u->info['exp'].'")');
	mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`) VALUES ('1','".$u->info['city']."','".$u->info['room']."','','".$u->info['login']."','".$txt."','-1','6','0')");
}
//--------------
}

if (isset($_GET['putq']))
{
//--------------
$test = mysql_fetch_array(mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest" LIMIT 1'));
if (!isset($test['id']))
{
	$txt .= '<b><font color=red>У тебя нет задания милок, не юли! Хоть бабушка плохо видит но бабушка хорошо помнит.</b></font>';
}
else
{
$zadID=$test['vals'];

if ($zadID==1)
{
	//$end_trup
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "end_trup" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}
	if ($i>1){
	$txt .= '<b><font color=black>Порадовал бабушку! Убил ипостата! Может на печи полежим? - Нет, ну держи жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<b><font color=black>Победи в боях с Трупожором '.$i.'/2</b></font>';
	}
	
}elseif($zadID==2)
{
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "end_xaot" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}

	if ($i>9){
	$txt .= '<b><font color=black>Порадовал бабушку! Поучаствовал в боях! А точно покушать не хочешь? - Нет, ну держи жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<b><font color=black>Участия в хаотах '.$i.'/10</b></font>';
	}
	// $end_xaot;
}elseif($zadID==3)
{
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "psh0" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}
	if ($i>1){
	$txt .= '<b><font color=black>Порадовал бабушку! Хороший запах! А точно покушать не хочешь? - Нет, ну держи жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<b><font color=black>Посещение Подземелий '.$i.'/2</b></font>';
	}

}elseif($zadID==4)
{
	
	if (($u->info['exp']-$test['val'])>100000){
	$txt .= '<b><font color=black>Порадовал бабушку! Подрос,Подрос! держи жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
		$txt .= '<b><font color=black>Получение '.($u->info['exp']-$test['val']).'/100 000 опыта</b></font>';
	}

}elseif($zadID==5)
{
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "trup_sun" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}
	if ($i>0){
	$txt .= '<b><font color=black>Порадовал бабушку! Сундучек удачу принес? Нет? Ну держи жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<b><font color=black>Открытие сундуков Трупожора 0/1</b></font>';
	}
	
}elseif($zadID==6)
{
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "izlom" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}
	if ($i>0){
	$txt .= '<b><font color=black>Порадовал бабушку! Так пахнет гарью и смертью Ммммм ... За это тебе жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<b><font color=black>Посещение Излома Хаоса 0/1</b></font>';
	}
	
}elseif($zadID==7)
{
	$check = mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vals`= "win" AND `time` > "'.$test['time'].'"');
	$i=0;
	while($pl = mysql_fetch_array($check)){$i++;}
	if ($i>2){
	$txt .= '<b><font color=black>Порадовал бабушку! Стало в мире светлее, но бабка как была слепая так и осталась... <br> Чуть не забыла жетончик!</b></font>';
	mysql_query('UPDATE `actions` SET `vals`= 0 WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "day_quest"');
	if ($u->info['level'] < 12)
	{
	$u->addItem(10020,$u->info['id'],'|sudba='.$u->info['login']);
	}
	else
	{
	$u->addItem(6470,$u->info['id'],'|sudba='.$u->info['login']);	
	}
	mysql_query('UPDATE `users_achiv` SET `zb`= `zb`+1 WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$u->repexp_add($u->info['id'],50); //Репутация +20
	}
	else
	{
	$txt .= '<b><font color=black>Выполни 3 задания в подземелиях. '.$i.'/3 </b></font>';
	}
	
}elseif($zadID==8)
{
	$txt .= '<b><font color=black>Участие в башне смерти 0.1</b></font>';
}
else
{
	$txt .= '<b><font color=red>Эх шустрый малец, получал задание уже сегодня! Завтра приходи накормлю чем нибудь вкусным ну и задание дам!</b></font>';
}
mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`) VALUES ('1','".$u->info['city']."','".$u->info['room']."','','".$u->info['login']."','".$txt."','-1','6','0')");

	
}
//--------------
}

?>
<span style="font-size:12px;">
Сила: <b><? echo $u->stats['s1']; ?></b><br />
Ловкость:&nbsp;<b><? echo $u->stats['s2']; ?></b><br />
Интуиция:&nbsp;<b><? echo $u->stats['s3']; ?></b><br />
Выносливость:&nbsp;<b><? echo $u->stats['s4']; ?></b><br />
<? if($u->info['level'] > 3 || $u->stats['s5']!=0){ ?>Интеллект:&nbsp;<b><? echo 0+$u->stats['s5']; ?></b><br /><? } ?>
<? if($u->info['level'] > 6 || $u->stats['s6']!=0){ ?>Мудрость:&nbsp;<b><? echo 0+$u->stats['s6']; ?></b><br /><? } ?>
<? if($u->info['level'] > 9 || $u->stats['s7']!=0){ ?>Духовность:&nbsp;<b><? echo 0+$u->stats['s7']; ?></b><br /><? } ?>
<? if($u->info['level'] > 14 || $u->stats['s8']!=0){ ?>Воля:&nbsp;<b><? echo 0+$u->stats['s8']; ?></b><br /><? } ?>
<? if($u->info['level'] > 15 || $u->stats['s9']!=0){ ?>Свобода духа:&nbsp;<b><? echo 0+$u->stats['s9']; ?></b><br /><? } ?>
<? if($u->info['level'] > 16 || $u->stats['s10']!=0){ ?>Божественный:&nbsp;<b><? echo 0+$u->stats['s10']; ?></b><br /><? } ?>
<?
/*
Энергия:&nbsp;<? echo 0+$u->stats['s11']; ?> &nbsp; <small>[<?=round($u->info['enNow'],3)?>/<?=$u->stats['enAll']?>]</small><br />
*/
if($u->info['ability'] > 0 || ($u->info['skills'] > 0 && $u->info['level'] > 0)) 
{ 
echo '<a href="main.php?skills=1&side=1">+ Способности</a><br />'; 
}
/*if($u->info['skills'] > 0 && $u->info['level'] > 0)
{ 
echo '&bull;&nbsp;<a href="main.php?skills=1&side=1">Обучение</a><br />'; 
} */
?>
&nbsp;<br />
Опыт:&nbsp;<a href="https://new-combats.com/exp" target="_blank"><? echo number_format($u->info['exp'], 0, ",", " "); ?></a><br />
Уровень:&nbsp;<? echo $u->info['level']; ?><br />
Побед:&nbsp;<? echo number_format($u->info['win'], 0, ",", " "); ?><br />
Поражений:&nbsp;<? echo number_format($u->info['lose'], 0, ",", " "); ?><br />
Ничьих:&nbsp;<? echo number_format($u->info['nich'], 0, ",", " "); ?><br />
<!--Серия побед:&nbsp;<?=(0+$u->info['swin'])?><br>
Серия поражений:&nbsp;<?=(0+$u->info['slose'])?><br>-->
Деньги:&nbsp;<b><? echo $u->info['money']; ?> кр.</b>&nbsp;</br>
Деньги:&nbsp;<b style="color:green"><? echo $u->info['money2']; ?> екр.</b>&nbsp;</br>
<?
	if($u->stats['pbe'] > 0) {
		echo '<a href="https://new-combats.com/news/268/" target="_blank">Бонус покупателя:&nbsp;'.$u->stats['pbe'].'&nbsp;уровень</a>';
		$nowby = mysql_fetch_array(mysql_query('SELECT `good` FROM `pay_operation` WHERE `uid` = "'.$u->info['id'].'" AND `good` > 0 ORDER BY `good` DESC LIMIT 1'));
		if($u->stats['pbe'] > 0 && date('d.m.Y') != date('d.m.Y',$nowby['good'])) {
			echo ' <font color="red"><br>(Совершите покупку ЕКР чтобы сохранить и увеличить бонус покупателя)</font>';
		}
		echo '<br>';
	}
?>
<? if($u->rep['rep3'] >= 0) { 

$repovo=$u->rep['rep3']-$u->rep['rep3_buy'];
?>
Воинственность:&nbsp;<b style="color:green"><? echo $repovo; ?> ед.</b><br><? } 
	/*if ($u->info['level'] > 9)
	{
	$check = mysql_fetch_array(mysql_query('SELECT * FROM `actions` WHERE `uid` = "'.$u->info['id'].'" AND `vars`= "end_trup" AND `time` > "'.(time()-3*60*60).'" ORDER BY `actions`.`time` DESC LIMIT 1;'));
		if (!isset($check['id']))
		{	
		echo 'Право на подвиг:&nbsp;<b style="color:green">Доступно.</b><br />';
		}
		else
		{
		echo 'Право на подвиг:&nbsp;<b style="color:green">'.date('d.m.Y H:i',($check['time']+10800)).'.</b><br />';	
		}
	}	
	if ($u->info['palpro'] > time())
	{
	echo 'Проверка до:&nbsp;<b style="color:green">'.date('d.m.Y H:i',$u->info['palpro']).'.</b><br />';
	}
	else
	{
	echo 'Проверка до:&nbsp;<b style="color:red"> Отсутствует.</b><br />';
	}*/

?>
Реликвий:&nbsp;<b style="color:green"><? echo $u->info['relik']['relik'];/*$u->info['ang_g'];*/ ?> шт.</b><br>

<b><font color='red'>Взятие Ежедневного задания: </font> <?=$u->dayquest($u->info['id'])?></b><br>


<? if( $u->info['level'] > 0 and $u->info['exp'] <= 499999998) { ?>

<b>Ваш Бонус <?=$u->pensia(false)?></b><br>
<?
if( $u->info['level'] > 2 ) {
	$bns = mysql_fetch_array(mysql_query('SELECT `id`,`time` FROM `aaa_bonus` WHERE `uid` = "'.$u->info['id'].'" AND `time` > '.time().' LIMIT 1'));
	if(isset($_GET['takebns']) && $u->newAct($_GET['takebns'])==true && !isset($bns['id'])) {
		$u->takeBonus();
		$bns = mysql_fetch_array(mysql_query('SELECT `id`,`time` FROM `aaa_bonus` WHERE `uid` = "'.$u->info['id'].'" AND `time` > '.time().' LIMIT 1'));
	}

		if(isset($bns['id'])) {
			
			echo '<button style="width:164px;margin-top:5px;" disabled="disabled" offclick="alert(\' Через '.$u->timeOut($bns['time']-time()).'\');" class="btn btn-danger"> Через '.$u->timeOut($bns['time']-time()).' </button>';
		}else{
			
		//Страница родителя
		?>
		<button style="width:164px;margin-top:5px;margin-bottom:5px;" class="btn btn-success" onclick="myWindow5(this)">Запросить!</button></div>
		<script>
		function myWindow5(e) {// создать iframe и добавить его после кнопки
			if (e.nextSibling.nodeName.toLowerCase() != "iframe") 
			{// если после кнопки нет iframe
				var iframe = document.createElement('iframe');
				iframe.setAttribute('src', 'https://new-combats.com/bonuss.php');
				iframe.setAttribute('height', '150');
				iframe.setAttribute('style', 'width:164px; background-color: rgba(255, 255, 255, 0); padding: 0px 8px 3px 8px; box-shadow: 0px 0px 15px 0px rgba(1, 2, 4, 0.25); float: left; -webkit-transition: .2s ease-out; -o-transition: .2s ease-out; moz-transition: .2s ease-out; transition: .2s ease-out; margin: 0; z-index: 3;');
				e.parentNode.insertBefore(iframe, e.nextSibling);
			}
		}
		</script>
		<style>
			iframe[src^="https://new-combats.com/bonuss.php"] 
			{ /* какой-то стиль у iframe. Его можно отцентрировать стилями CSS по центру окна браузера, сделать общий фон страницы затуманенным */
				width: 100%;
				border: none;
			}
		</style>
		<?	
			
			//echo '<button style="width:164px;margin-top:5px;" class="btn btn-success" onclick="location.href=\'main.php?takebns='.$u->info['nextAct'].'&getb1w=3\';">Получить!</button></div>';
		}

}




}

?>